package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_tenant_account_detail):
 */
public class SysTenantAccountDetail {

	/**  */
	private Long id;
	
	/**  */
	private Integer userId;
	
	/** 交易类型 */
	private String transType;
	
	/** 交易状态 */
	private String transStatus;
	
	/** 交易流水 */
	private String transNo;
	
	/** 现金数额 */
	private java.math.BigDecimal transCashAmount;
	
	/** 账户总可用分钟数 */
	private Integer totalAvailableMinutes;
	
	/** 交易的分钟数 */
	private Integer transMinutes;
	
	/**  */
	private String memo;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setTransType(String transType){
		this.transType = transType;
	}
	
	public String getTransType(){
		return this.transType;
	}
			
	public void setTransStatus(String transStatus){
		this.transStatus = transStatus;
	}
	
	public String getTransStatus(){
		return this.transStatus;
	}
			
	public void setTransNo(String transNo){
		this.transNo = transNo;
	}
	
	public String getTransNo(){
		return this.transNo;
	}
			
	public void setTransCashAmount(java.math.BigDecimal transCashAmount){
		this.transCashAmount = transCashAmount;
	}
	
	public java.math.BigDecimal getTransCashAmount(){
		return this.transCashAmount;
	}
			
	public void setTotalAvailableMinutes(Integer totalAvailableMinutes){
		this.totalAvailableMinutes = totalAvailableMinutes;
	}
	
	public Integer getTotalAvailableMinutes(){
		return this.totalAvailableMinutes;
	}
			
	public void setTransMinutes(Integer transMinutes){
		this.transMinutes = transMinutes;
	}
	
	public Integer getTransMinutes(){
		return this.transMinutes;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
